{
    onModifyAccuracyPriority: -1,
    onModifyAccuracy(accuracy, target, source, move) {
      if (typeof accuracy !== "number")
        return;
      if (move.category === "Status" && this.field.isWeather(["voidfog"])) {
        this.debug("Void Cloak - decreasing accuracy for status moves");
        return this.chainModify([3277, 4096]);
      }
    },
    onModifySecondaries(secondaries) {
      if (this.field.isWeather(["voidfog"])) {
    	  this.debug('Void Cloak prevent secondary');
    	  return secondaries.filter(effect => !!(effect.self || effect.dustproof));
      }
    },
    flags: { breakable: 1 },
    name: "Void Cloak",
    rating: 1.5,
    num: -32118
}